# Expiration Rule Sets Expiration Rule Sets ## Gets all of the expiration rule sets in the system. - [GET /expirationRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/listexpirationrulesets.md): This method will scan all expiration rule sets and and return them to the caller. ## Creates a new expiration rule set record that does not already exist. - [POST /expirationRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/createexpirationruleset.md): This method will auto-generate an ID and create a new expiration rule set. If an ID is specified for the expiration rule set, an error will be thrown. ## Execute Batch Operations - [POST /expirationRuleSets/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a expiration rule set from the system by its ID. - [DELETE /expirationRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/deleteexpirationruleset.md): This method will delete a expiration rule set with the specified ID. ## Returns a expiration rule set from the system by its ID. - [GET /expirationRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/getexpirationruleset.md): This method will look up a expiration rule set by the specified ID and return it back. ## Partially updates a expiration rule set with the specified ID. - [PATCH /expirationRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/patchexpirationruleset.md): This method will patch an existing expiration rule set with the specified ID, using the HTTP PATCH specification. ## Updates a expiration rule set with the specified ID. - [PUT /expirationRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/updateexpirationruleset.md): This method will update an existing expiration rule set with the specified ID.